Skip to content
Documentation sections

Retrieve shipment tracking data

GET /shipment on the Container Tracking API. Base URL: https://api.sinay.ai/container-tracking/api/v2.

Query parameters

stringrequired

Bill of Lading Number, Booking number or Container Tracking Number

string

Sealine 4 letters scac code. Find the code corresponding to your sealine using the GET /sealines endpoint. This parameter is strongly recommended to improve response time and avoid wrong sealine detection

stringenum

Shipment type. CT for container, BL for Booking and BL for Bill of Lading

Allowed:
booleanDefaults to true

Set this to true if you wish to receive the route segments or AIS data. Using this option will increase the response time

booleanDefaults to true

Set this to true if you wish to receive AIS data - will only work if route is also set to true. Using this option will increase the response time

Responses

Body: application/json, object.

FieldTypeRequiredDescription
metadataobjectNoAdditional data on the shipment.
metadata.shipmentTypestringNoShipment type (CT for Container, BK for booking number, BL for bill of lading, DC for document (if we could not recognize between a booking or bill of lading). If this parameter is not present in the request, it will be autodetected. One of: CT, BL, BK, DC.
metadata.shipmentNumberstringNoShipment reference entered as input.
metadata.sealinestringNoShipping line SCAC code. If this parameter is not present in the request, it will be autodetected.
metadata.sealineNamestringNoName of the shipping line in full.
metadata.shippingStatusstringNoShort status of the shipment. If no event dates are available, status is PLANNED, if event dates are still in the future status is IN_TRANSIT and if all dates are in the past and delivery has been confirmed by sealine, status is DELIVERED. One of: PLANNED, IN_TRANSIT, DELIVERED, UNKNOWN.
metadata.updatedAtstring (date-time)NoTimestamp from when data was last received from the carrier.
metadata.warningsarray of stringNoWarnings on data quality or discrepancies in data received from carrier. Possible values. • MISSING_DATES at least one of the event dates is null • OBSOLETE_DATA timestamp from updatedAt is older than 24 hours • NO_POL no Port of Loading received from carrier • NO_POD no Port of Discharge received from carrier • STATUS_MISMATCH shipment status is in conflict with event dates • NO_EVENTS carrier provided information on containers, but not on events • NO_CONTAINERS no container information received from carrier • SPLIT_BL the bl has been detected as split.
locationsarray of objectNo—
locations[].namestringNoLocation name (as in UNECE database).
locations[].statestringNoLocation state if provided.
locations[].countrystringNoCountry of the location.
locations[].countryCodestringNoCountry code of the location (2 letters, as in UNECE database).
locations[].locodestringNoUN/Locode of the location.
locations[].coordinatesobjectNo—
locations[].coordinates.latnumber (float)No—
locations[].coordinates.lngnumber (float)No—
locations[].timezonestringNoLocation timezone.
routeobjectNo—
route.prepolobjectNoPlace of dispatch.
route.prepol.locationobjectNoOrdered list of the locations your shipment will transit by.
route.prepol.location.namestringNoLocation name (as in UNECE database).
route.prepol.location.statestringNoLocation state if provided.
route.prepol.location.countrystringNoCountry of the location.
route.prepol.location.countryCodestringNoCountry code of the location (2 letters, as in UNECE database).
route.prepol.location.locodestringNoUN/Locode of the location.
route.prepol.location.coordinatesobjectNo—
route.prepol.location.coordinates.latnumber (float)No—
route.prepol.location.coordinates.lngnumber (float)No—
route.prepol.location.timezonestringNoLocation timezone.
route.prepol.datestring (date-time)NoDate of the first event at this location. For POL usually date of Gate In, for POD usually date of Vessel arrival.
route.prepol.actualbooleanNoTrue if the date is actual, false if it is estimated.
route.prepol.predictiveEtastringNoAvailable only for POD and when the shipment is within 3 days of its arrival at POD. Safecube calculation based on historical AIS data, live port congestion and wheather.
route.polobjectNoPort of Loading.
route.pol.locationobjectNoOrdered list of the locations your shipment will transit by.
route.pol.location.namestringNoLocation name (as in UNECE database).
route.pol.location.statestringNoLocation state if provided.
route.pol.location.countrystringNoCountry of the location.
route.pol.location.countryCodestringNoCountry code of the location (2 letters, as in UNECE database).
route.pol.location.locodestringNoUN/Locode of the location.
route.pol.location.coordinatesobjectNo—
route.pol.location.coordinates.latnumber (float)No—
route.pol.location.coordinates.lngnumber (float)No—
route.pol.location.timezonestringNoLocation timezone.
route.pol.datestring (date-time)NoDate of the first event at this location. For POL usually date of Gate In, for POD usually date of Vessel arrival.
route.pol.actualbooleanNoTrue if the date is actual, false if it is estimated.
route.pol.predictiveEtastringNoAvailable only for POD and when the shipment is within 3 days of its arrival at POD. Safecube calculation based on historical AIS data, live port congestion and wheather.
route.podobjectNoPort of Discharge.
route.pod.locationobjectNoOrdered list of the locations your shipment will transit by.
route.pod.location.namestringNoLocation name (as in UNECE database).
route.pod.location.statestringNoLocation state if provided.
route.pod.location.countrystringNoCountry of the location.
route.pod.location.countryCodestringNoCountry code of the location (2 letters, as in UNECE database).
route.pod.location.locodestringNoUN/Locode of the location.
route.pod.location.coordinatesobjectNo—
route.pod.location.coordinates.latnumber (float)No—
route.pod.location.coordinates.lngnumber (float)No—
route.pod.location.timezonestringNoLocation timezone.
route.pod.datestring (date-time)NoDate of the first event at this location. For POL usually date of Gate In, for POD usually date of Vessel arrival.
route.pod.actualbooleanNoTrue if the date is actual, false if it is estimated.
route.pod.predictiveEtastringNoAvailable only for POD and when the shipment is within 3 days of its arrival at POD. Safecube calculation based on historical AIS data, live port congestion and wheather.
route.postpodobjectNoDestination.
route.postpod.locationobjectNoOrdered list of the locations your shipment will transit by.
route.postpod.location.namestringNoLocation name (as in UNECE database).
route.postpod.location.statestringNoLocation state if provided.
route.postpod.location.countrystringNoCountry of the location.
route.postpod.location.countryCodestringNoCountry code of the location (2 letters, as in UNECE database).
route.postpod.location.locodestringNoUN/Locode of the location.
route.postpod.location.coordinatesobjectNo—
route.postpod.location.coordinates.latnumber (float)No—
route.postpod.location.coordinates.lngnumber (float)No—
route.postpod.location.timezonestringNoLocation timezone.
route.postpod.datestring (date-time)NoDate of the first event at this location. For POL usually date of Gate In, for POD usually date of Vessel arrival.
route.postpod.actualbooleanNoTrue if the date is actual, false if it is estimated.
route.postpod.predictiveEtastringNoAvailable only for POD and when the shipment is within 3 days of its arrival at POD. Safecube calculation based on historical AIS data, live port congestion and wheather.
vesselsarray of objectNo—
vessels[].namestringNoVessel Name.
vessels[].imointeger (int32)NoUnique IMO identifier of the vessel.
vessels[].callSignstringNoCall sign of the vessel when provided.
vessels[].mmsiinteger (int32)NoMaritime Mobile Service Identity number.
vessels[].flagstringNo2 letters country code (as in UNECE database).
facilitiesarray of objectNo—
facilities[].namestringNoFacility name.
facilities[].countryCodestringNo2 letters country code.
facilities[].locodestringNoUN/Locode of the facility.
facilities[].bicCodestringNo—
facilities[].smdgCodestringNo—
facilities[].coordinatesobjectNo—
facilities[].coordinates.latnumber (float)No—
facilities[].coordinates.lngnumber (float)No—
containersarray of objectNo—
containers[].numberstringNo—
containers[].isoCodestringNo—
containers[].sizeTypestringNo—
containers[].statusstringNoOne of: PLANNED, IN_TRANSIT, DELIVERED, UNKNOWN.
containers[].eventsarray of objectNo—
containers[].events[].locationobjectNoOrdered list of the locations your shipment will transit by.
containers[].events[].location.namestringNoLocation name (as in UNECE database).
containers[].events[].location.statestringNoLocation state if provided.
containers[].events[].location.countrystringNoCountry of the location.
containers[].events[].location.countryCodestringNoCountry code of the location (2 letters, as in UNECE database).
containers[].events[].location.locodestringNoUN/Locode of the location.
containers[].events[].location.coordinatesobjectNo—
containers[].events[].location.coordinates.latnumber (float)No—
containers[].events[].location.coordinates.lngnumber (float)No—
containers[].events[].location.timezonestringNoLocation timezone.
containers[].events[].facilityobjectNoList of facilities your shipment will transit by.
containers[].events[].facility.namestringNoFacility name.
containers[].events[].facility.countryCodestringNo2 letters country code.
containers[].events[].facility.locodestringNoUN/Locode of the facility.
containers[].events[].facility.bicCodestringNo—
containers[].events[].facility.smdgCodestringNo—
containers[].events[].facility.coordinatesobjectNo—
containers[].events[].facility.coordinates.latnumber (float)No—
containers[].events[].facility.coordinates.lngnumber (float)No—
containers[].events[].descriptionstringNoEvent description.
containers[].events[].eventTypestringNoEvent Type as in DCSA standard (if applicable). One of: SHIPMENT, TRANSPORT, EQUIPMENT.
containers[].events[].eventCodestringNoEvent Code as in DCSA standard (if applicable). One of: ARRI, DEPA, LOAD, DISC, GTIN, GTOT, STUF, STRP, PICK, AVPU, DROP, AVDO, INSP, RSEA, RMVD, CUSS, CUSI, CUSR, CROS, RECE, DRFT, PENA, PENU, PENC, CONF, REJE, APPR, ISSU, SURR, SUBM, VOID, REQS, CMPL, HOLD, RELS, CANC.
containers[].events[].statusstringNo3 characters event identifier. One of: CEP, CPS, CGI, CLL, VDL, VAT, CDT, TSD, CLT, VDT, VAD, CDD, CGO, CDC, CER, LTS, BTS, UNK.
containers[].events[].datestring (date-time)NoEvent date in localtime.
containers[].events[].isActualbooleanNoTrue if the date is actual, false if estimated/.
containers[].events[].isAdditionalEventbooleanNoFalse if the event data comes from the shipping line, true if it's calculated by Safecube from other sources.
containers[].events[].routeTypestringNoOne of: SEA, LAND.
containers[].events[].transportTypestringNoOne of: VESSEL, BARGE, FEEDER, TRUCK, RAIL, AIR.
containers[].events[].vesselobjectNoOrdered list of vessels involved in the shipment transportation.
containers[].events[].vessel.namestringNoVessel Name.
containers[].events[].vessel.imointeger (int32)NoUnique IMO identifier of the vessel.
containers[].events[].vessel.callSignstringNoCall sign of the vessel when provided.
containers[].events[].vessel.mmsiinteger (int32)NoMaritime Mobile Service Identity number.
containers[].events[].vessel.flagstringNo2 letters country code (as in UNECE database).
containers[].events[].voyagestringNoVoyage identifier if applicable.
routeDataobjectNo—
routeData.routeSegmentsarray of objectNo—
routeData.routeSegments[].patharray of objectNo—
routeData.routeSegments[].path[].latnumber (float)No—
routeData.routeSegments[].path[].lngnumber (float)No—
routeData.routeSegments[].routeTypestringNoOne of: SEA, LAND.
routeData.coordinatesobjectNoCoordinates of your shipments. AIS coordinates of the vessel if your shipment is onboard a vessel, else last location coordinates.
routeData.coordinates.latnumber (float)No—
routeData.coordinates.lngnumber (float)No—
routeData.aisobjectNo—
routeData.ais.statusstringNoOne of: OK, NOT_ON_BOARD, NO_AIS_DATA.
routeData.ais.dataobjectNo—
routeData.ais.data.lastEventobjectNoLast event provided by the shipping line for the vessel.
routeData.ais.data.lastEvent.descriptionstringNo—
routeData.ais.data.lastEvent.datestring (date-time)No—
routeData.ais.data.lastEvent.voyagestringNo—
routeData.ais.data.dischargePortobjectNo—
routeData.ais.data.dischargePort.namestringNo—
routeData.ais.data.dischargePort.countryCodestringNo—
routeData.ais.data.dischargePort.codestringNo—
routeData.ais.data.dischargePort.datestring (date-time)No—
routeData.ais.data.dischargePort.dateLabelstringNoOne of: ETA, ATA, ETD, ATD.
routeData.ais.data.vesselobjectNoOrdered list of vessels involved in the shipment transportation.
routeData.ais.data.vessel.namestringNoVessel Name.
routeData.ais.data.vessel.imointeger (int32)NoUnique IMO identifier of the vessel.
routeData.ais.data.vessel.callSignstringNoCall sign of the vessel when provided.
routeData.ais.data.vessel.mmsiinteger (int32)NoMaritime Mobile Service Identity number.
routeData.ais.data.vessel.flagstringNo2 letters country code (as in UNECE database).
routeData.ais.data.lastVesselPositionobjectNo—
routeData.ais.data.lastVesselPosition.latnumber (float)No—
routeData.ais.data.lastVesselPosition.lngnumber (float)No—
routeData.ais.data.lastVesselPosition.updatedAtstring (date-time)No—
routeData.ais.data.departurePortobjectNo—
routeData.ais.data.departurePort.countryCodestringNo—
routeData.ais.data.departurePort.codestringNo—
routeData.ais.data.departurePort.datestring (date-time)No—
routeData.ais.data.departurePort.dateLabelstringNoOne of: ETA, ATA, ETD, ATD.
routeData.ais.data.arrivalPortobjectNo—
routeData.ais.data.arrivalPort.countryCodestringNo—
routeData.ais.data.arrivalPort.codestringNo—
routeData.ais.data.arrivalPort.datestring (date-time)No—
routeData.ais.data.arrivalPort.dateLabelstringNoOne of: ETA, ATA, ETD, ATD.
routeData.ais.data.updatedAtstring (date-time)No—

Example response body:

{
  "metadata": {
    "shipmentType": "CT",
    "shipmentNumber": "MSKU0496560",
    "sealine": "MAEU",
    "sealineName": "Maersk",
    "shippingStatus": "IN_TRANSIT",
    "updatedAt": "2023-11-28T11:24:59Z"
  },
  "locations": [
    {
      "name": "Houston",
      "state": "Texas",
      "country": "United States",
      "countryCode": "US",
      "locode": "USHOU",
      "coordinates": {
        "lat": 29.76328,
        "lng": -95.36327
      },
      "timezone": "America/Chicago"
    },
    {
      "name": "Bremerhaven",
      "state": "Bremen",
      "country": "Germany",
      "countryCode": "DE",
      "locode": "DEBRV",
      "coordinates": {
        "lat": 53.53615,
        "lng": 8.59298
      },
      "timezone": "Europe/Berlin"
    }
  ],
  "route": {
    "prepol": {
      "location": {
        "name": "Houston",
        "state": "Texas",
        "country": "United States",
        "countryCode": "US",
        "locode": "USHOU",
        "coordinates": {
          "lat": 29.76328,
          "lng": -95.36327
        },
        "timezone": "America/Chicago"
      },
      "date": "2023-11-07T11:16:00Z",
      "actual": true,
      "predictiveEta": null
    },
    "pol": {
      "location": {
        "name": "Houston",
        "state": "Texas",
        "country": "United States",
        "countryCode": "US",
        "locode": "USHOU",
        "coordinates": {
          "lat": 29.76328,
          "lng": -95.36327
        },
        "timezone": "America/Chicago"
      },
      "date": "2023-11-07T12:46:00Z",
      "actual": true,
      "predictiveEta": null
    },
    "pod": {
      "location": {
        "name": "Bremerhaven",
        "state": "Bremen",
        "country": "Germany",
        "countryCode": "DE",
        "locode": "DEBRV",
        "coordinates": {
          "lat": 53.53615,
          "lng": 8.59298
        },
        "timezone": "Europe/Berlin"
      },
      "date": "2023-12-01T22:00:00Z",
      "actual": false,
      "predictiveEta": null
    },
    "postpod": {
      "location": {
        "name": "Bremerhaven",
        "state": "Bremen",
        "country": "Germany",
        "countryCode": "DE",
        "locode": "DEBRV",
        "coordinates": {
          "lat": 53.53615,
          "lng": 8.59298
        },
        "timezone": "Europe/Berlin"
      },
      "date": "2023-12-01T22:00:00Z",
      "actual": false,
      "predictiveEta": null
    }
  },
  "vessels": [
    {
      "name": "MAERSK OHIO",
      "imo": 9298698,
      "callSign": "KABP",
      "mmsi": 367775000,
      "flag": "US"
    }
  ],
  "facilities": [
    {
      "name": "Houston Barbours Cut Terminal",
      "countryCode": "US",
      "locode": "USUQF",
      "bicCode": "USUQFGDQQ",
      "smdgCode": null,
      "coordinates": {
        "lat": null,
        "lng": null
      }
    },
    {
      "name": "MSC Gate Bremerhaven Gmbh & Co. KG",
      "countryCode": "DE",
      "locode": null,
      "bicCode": null,
      "smdgCode": null,
      "coordinates": {
        "lat": null,
        "lng": null
      }
    }
  ],
  "containers": [
    {
      "number": "MSKU0496560",
      "isoCode": "45G1",
      "sizeType": "40' High Cube Dry",
      "status": "IN_TRANSIT",
      "events": [
        {
          "location": {
            "name": "Houston",
            "state": "Texas",
            "country": "United States",
            "countryCode": "US",
            "locode": "USHOU",
            "coordinates": {
              "lat": 29.76328,
              "lng": -95.36327
            },
            "timezone": "America/Chicago"
          },
          "facility": {
            "name": "Houston Barbours Cut Terminal",
            "countryCode": "US",
            "locode": "USUQF",
            "bicCode": "USUQFGDQQ",
            "smdgCode": null,
            "coordinates": {
              "lat": null,
              "lng": null
            }
          },
          "description": "Gate out",
          "eventType": "EQUIPMENT",
          "eventCode": "GTOT",
          "status": "CEP",
          "date": "2023-11-07T11:16:00Z",
          "isActual": true,
          "isAdditionalEvent": false,
          "routeType": "LAND",
          "transportType": null,
          "vessel": null,
          "voyage": null
        },
        {
          "location": {
            "name": "Houston",
            "state": "Texas",
            "country": "United States",
            "countryCode": "US",
            "locode": "USHOU",
            "coordinates": {
              "lat": 29.76328,
              "lng": -95.36327
            },
            "timezone": "America/Chicago"
          },
          "facility": null,
          "description": "Gate in",
          "eventType": "EQUIPMENT",
          "eventCode": "GTIN",
          "status": "CGI",
          "date": "2023-11-07T12:46:00Z",
          "isActual": true,
          "isAdditionalEvent": false,
          "routeType": "LAND",
          "transportType": null,
          "vessel": null,
          "voyage": null
        },
        {
          "location": {
            "name": "Houston",
            "state": "Texas",
            "country": "United States",
            "countryCode": "US",
            "locode": "USHOU",
            "coordinates": {
              "lat": 29.76328,
              "lng": -95.36327
            },
            "timezone": "America/Chicago"
          },
          "facility": null,
          "description": "Load",
          "eventType": "EQUIPMENT",
          "eventCode": "LOAD",
          "status": "CLL",
          "date": "2023-11-11T04:57:00Z",
          "isActual": true,
          "isAdditionalEvent": false,
          "routeType": "SEA",
          "transportType": null,
          "vessel": {
            "name": "MAERSK OHIO",
            "imo": 9298698,
            "callSign": "KABP",
            "mmsi": 367775000,
            "flag": "US"
          },
          "voyage": "344E"
        },
        {
          "location": {
            "name": "Houston",
            "state": "Texas",
            "country": "United States",
            "countryCode": "US",
            "locode": "USHOU",
            "coordinates": {
              "lat": 29.76328,
              "lng": -95.36327
            },
            "timezone": "America/Chicago"
          },
          "facility": null,
          "description": "Vessel departure",
          "eventType": "TRANSPORT",
          "eventCode": "DEPA",
          "status": "VDL",
          "date": "2023-11-11T07:09:00Z",
          "isActual": true,
          "isAdditionalEvent": false,
          "routeType": "SEA",
          "transportType": "VESSEL",
          "vessel": {
            "name": "MAERSK OHIO",
            "imo": 9298698,
            "callSign": "KABP",
            "mmsi": 367775000,
            "flag": "US"
          },
          "voyage": "344E"
        },
        {
          "location": {
            "name": "Bremerhaven",
            "state": "Bremen",
            "country": "Germany",
            "countryCode": "DE",
            "locode": "DEBRV",
            "coordinates": {
              "lat": 53.53615,
              "lng": 8.59298
            },
            "timezone": "Europe/Berlin"
          },
          "facility": {
            "name": "MSC Gate Bremerhaven Gmbh & Co. KG",
            "countryCode": "DE",
            "locode": null,
            "bicCode": null,
            "smdgCode": null,
            "coordinates": {
              "lat": null,
              "lng": null
            }
          },
          "description": "Vessel arrival",
          "eventType": "TRANSPORT",
          "eventCode": "ARRI",
          "status": "VAD",
          "date": "2023-12-01T22:00:00Z",
          "isActual": false,
          "isAdditionalEvent": false,
          "routeType": "SEA",
          "transportType": "VESSEL",
          "vessel": {
            "name": "MAERSK OHIO",
            "imo": 9298698,
            "callSign": "KABP",
            "mmsi": 367775000,
            "flag": "US"
          },
          "voyage": "344E"
        }
      ]
    }
  ],
  "routeData": {
    "routeSegments": [
      {
        "path": [
          {
            "lat": 29.76328,
            "lng": -95.36327
          },
          {
            "lat": 29.75212,
            "lng": -95.30827
          },
          {
            "lat": 29.700035,
            "lng": -95.05164
          },
          {
            "lat": 29.688875,
            "lng": -94.99665
          },
          {
            "lat": 29.69268,
            "lng": -94.99588
          },
          {
            "lat": 29.710443,
            "lng": -94.99227
          },
          {
            "lat": 29.71425,
            "lng": -94.9915
          },
          {
            "lat": 29.661234,
            "lng": -94.9585
          },
          {
            "lat": 29.413822,
            "lng": -94.8045
          },
          {
            "lat": 29.360806,
            "lng": -94.7715
          },
          {
            "lat": 28.69987,
            "lng": -92.64078
          },
          {
            "lat": 25.615494,
            "lng": -82.697395
          },
          {
            "lat": 24.954556,
            "lng": -80.566666
          },
          {
            "lat": 25.089743,
            "lng": -80.05885
          },
          {
            "lat": 25.72062,
            "lng": -77.689064
          },
          {
            "lat": 25.855806,
            "lng": -77.18125
          },
          {
            "lat": 29.65043,
            "lng": -65.394936
          },
          {
            "lat": 47.08643,
            "lng": -11.237754
          },
          {
            "lat": 47.35868,
            "lng": -10.392122
          },
          {
            "lat": 51.153305,
            "lng": 1.394194
          },
          {
            "lat": 51.42554,
            "lng": 1.9012278
          },
          {
            "lat": 52.695972,
            "lng": 4.267386
          },
          {
            "lat": 52.96821,
            "lng": 4.77442
          },
          {
            "lat": 53.032413,
            "lng": 4.9400067
          },
          {
            "lat": 53.332043,
            "lng": 5.712746
          },
          {
            "lat": 53.39625,
            "lng": 5.878333
          },
          {
            "lat": 53.439404,
            "lng": 6.111904
          },
          {
            "lat": 53.640785,
            "lng": 7.201904
          },
          {
            "lat": 53.68394,
            "lng": 7.435475
          },
          {
            "lat": 53.685673,
            "lng": 7.4788346
          },
          {
            "lat": 53.693768,
            "lng": 7.681179
          },
          {
            "lat": 53.695503,
            "lng": 7.7245383
          },
          {
            "lat": 53.665535,
            "lng": 7.8185787
          },
          {
            "lat": 53.52569,
            "lng": 8.257433
          },
          {
            "lat": 53.49572,
            "lng": 8.351473
          },
          {
            "lat": 53.51669,
            "lng": 8.365631
          },
          {
            "lat": 53.614532,
            "lng": 8.431703
          },
          {
            "lat": 53.635498,
            "lng": 8.445861
          },
          {
            "lat": 53.620594,
            "lng": 8.467929
          },
          {
            "lat": 53.551052,
            "lng": 8.570912
          },
          {
            "lat": 53.53615,
            "lng": 8.59298
          }
        ],
        "routeType": "SEA"
      }
    ],
    "coordinates": {
      "lat": 47.08643,
      "lng": -11.237754
    },
    "ais": {
      "status": "OK",
      "data": {
        "lastEvent": {
          "description": "Vessel departure",
          "date": "2023-11-11T07:09:00Z",
          "voyage": "344E"
        },
        "dischargePort": null,
        "vessel": {
          "name": "MAERSK OHIO",
          "imo": 9298698,
          "callSign": "KABP",
          "mmsi": 367775000,
          "flag": "US"
        },
        "lastVesselPosition": {
          "lat": 51.28157,
          "lng": 4.253457,
          "updatedAt": "2023-11-28T10:28:00Z"
        },
        "departurePort": {
          "name": "Bremerhaven",
          "countryCode": "DE",
          "code": "BRV",
          "date": "2023-12-01T22:00:00Z",
          "dateLabel": "ETA"
        },
        "arrivalPort": {
          "name": null,
          "countryCode": "BE",
          "code": "ANR",
          "date": "2023-11-27T13:02:00Z",
          "dateLabel": "ATA"
        },
        "updatedAt": "2023-11-28T10:34:39Z"
      }
    }
  }
}